"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("../utils/fs");
const xml = require("xml-js");
async function modifyManifest(path) {
    var _a, _b, _c, _d;
    const document = xml.xml2js(await fs.readFile(path, 'utf-8'));
    const manifest = (_a = document.elements) === null || _a === void 0 ? void 0 : _a.find(el => el.name === 'manifest');
    const application = (_b = manifest.elements) === null || _b === void 0 ? void 0 : _b.find(el => el.name === 'application');
    application.attributes = {
        ...application.attributes,
        'android:networkSecurityConfig': '@xml/nsc_mitm',
    };
    const usesAppBundle = (_d = (_c = application.elements) === null || _c === void 0 ? void 0 : _c.some(el => {
        var _a;
        return el.name === 'meta-data' &&
            ((_a = el.attributes) === null || _a === void 0 ? void 0 : _a['android:name']) === 'com.android.vending.splits';
    })) !== null && _d !== void 0 ? _d : false;
    await fs.writeFile(path, xml.js2xml(document, { spaces: 4 }));
    return { usesAppBundle };
}
exports.default = modifyManifest;
